<?php
/**
 * @file
 * popsu_actualites.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function popsu_actualites_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-actualites-listing';
  $context->description = 'Contexte du listing des Actualités POPSU (feature)';
  $context->tag = 'actualites-feature';
  $context->conditions = array(
    'path' => array(
      'values' => array(
        'actualites' => 'actualites',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'boxes-popsu_logo_popsuneutral' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsuneutral',
          'region' => 'header',
          'weight' => '-32',
        ),
        'boxes-popsu_logo_baseline' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_baseline',
          'region' => 'header',
          'weight' => '-31',
        ),
        'boxes-popsu_logo_popsueurope' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsueurope',
          'region' => 'header',
          'weight' => '-30',
        ),
        'boxes-popsu_logo_popsu2' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsu2',
          'region' => 'header',
          'weight' => '-29',
        ),
        'boxes-popsu_logo_popsu1' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsu1',
          'region' => 'header',
          'weight' => '-28',
        ),
      ),
    ),
    'theme_html' => array(
      'class' => 'popsu-neutral-section popsu-listing-actu',
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte du listing des Actualités POPSU (feature)');
  t('actualites-feature');
  $export['popsu-actualites-listing'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-actualites-node';
  $context->description = 'Contexte d\'un noeud de type Actualités POPSU (feature)';
  $context->tag = 'actualites-feature';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'popsu_actu' => 'popsu_actu',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'boxes-popsu_logo_popsuneutral' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsuneutral',
          'region' => 'header',
          'weight' => '-32',
        ),
        'boxes-popsu_logo_baseline' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_baseline',
          'region' => 'header',
          'weight' => '-31',
        ),
        'boxes-popsu_logo_popsueurope' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsueurope',
          'region' => 'header',
          'weight' => '-30',
        ),
        'boxes-popsu_logo_popsu2' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsu2',
          'region' => 'header',
          'weight' => '-29',
        ),
        'boxes-popsu_logo_popsu1' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsu1',
          'region' => 'header',
          'weight' => '-28',
        ),
        'views-actualites-block_1' => array(
          'module' => 'views',
          'delta' => 'actualites-block_1',
          'region' => 'sidebar_first',
          'weight' => '0',
        ),
        'views-actualites-block_2' => array(
          'module' => 'views',
          'delta' => 'actualites-block_2',
          'region' => 'sidebar_first',
          'weight' => '1',
        ),
      ),
    ),
    'theme_html' => array(
      'class' => 'popsu-actu-section',
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte d\'un noeud de type Actualités POPSU (feature)');
  t('actualites-feature');
  $export['popsu-actualites-node'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-actualites-node-style2';
  $context->description = 'Contexte d\'un noeud de type Actualités POPSU (feature)';
  $context->tag = 'actualites-feature';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'popsu_actu' => 'popsu_actu',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'boxes-popsu_logo_popsuneutral' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsuneutral',
          'region' => 'header',
          'weight' => '-32',
        ),
        'boxes-popsu_logo_baseline' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_baseline',
          'region' => 'header',
          'weight' => '-31',
        ),
        'boxes-popsu_logo_popsueurope' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsueurope',
          'region' => 'header',
          'weight' => '-30',
        ),
        'boxes-popsu_logo_popsu2' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsu2',
          'region' => 'header',
          'weight' => '-29',
        ),
        'boxes-popsu_logo_popsu1' => array(
          'module' => 'boxes',
          'delta' => 'popsu_logo_popsu1',
          'region' => 'header',
          'weight' => '-28',
        ),
      ),
    ),
    'theme_html' => array(
      'class' => 'popsu-neutral-section',
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte d\'un noeud de type Actualités POPSU (feature)');
  t('actualites-feature');
  $export['popsu-actualites-node-style2'] = $context;

  return $export;
}
