<?php
/**
 * @file
 * popsu_themes_europe.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function popsu_themes_europe_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'themes_europe';
  $view->description = 'Liste des publications';
  $view->tag = 'POPSU';
  $view->base_table = 'node';
  $view->human_name = 'Thèmes Europe';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Critère de tri: Contenu : Date de publication */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_theme_europe' => 'popsu_theme_europe',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Thèmes Europe';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'themes-europe';

  /* Display: Thèmes Europe Par POPSU Pane */
  $handler = $view->new_display('panel_pane', 'Thèmes Europe Par POPSU Pane', 'panel_pane_2');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['row_class'] = 'span2';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['class'] = 'listing-themestrans';
  $handler->display->display_options['style_options']['wrapper_class'] = 'listing-thumb clearfix';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Entête: Global : Résumé des résultats */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = '@total thèmes';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Image du thème (miniature) */
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['id'] = 'field_popsu_themeur_thumb';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['table'] = 'field_data_field_popsu_themeur_thumb';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['field'] = 'field_popsu_themeur_thumb';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['settings'] = array(
    'image_style' => 'popsu-themeseur-listing-small',
    'image_link' => 'content',
  );
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : POPSU (field_popsu_themeur_popsu) */
  $handler->display->display_options['arguments']['field_popsu_themeur_popsu_tid']['id'] = 'field_popsu_themeur_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_themeur_popsu_tid']['table'] = 'field_data_field_popsu_themeur_popsu';
  $handler->display->display_options['arguments']['field_popsu_themeur_popsu_tid']['field'] = 'field_popsu_themeur_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_themeur_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_themeur_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_themeur_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_themeur_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_themeur_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_themeur_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_theme_europe' => 'popsu_theme_europe',
  );
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_themeur_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_themeur_popsu)',
    ),
  );
  $translatables['themes_europe'] = array(
    t('Master'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Page'),
    t('Thèmes Europe'),
    t('Thèmes Europe Par POPSU Pane'),
    t('@total thèmes'),
    t('Tout'),
    t('Volets de vue'),
  );
  $export['themes_europe'] = $view;

  return $export;
}
